Next: LEN, Previous: LCOBOUND, Up: Intrinsic Procedures [Contents][Index]

### 8.143 `LEADZ` — Number of leading zero bits of an integer

Description:

  `LEADZ` returns the number of leading zero bits of an integer.

Standard:

  Fortran 2008 and later

Class:

  Elemental function

Syntax:

  `RESULT = LEADZ(I)`

Arguments:

  I | Shall be of type `INTEGER`.

Return value:

  The type of the return value is the default `INTEGER`. If all the bits of `I` are zero, the result value is `BIT_SIZE(I)`.

Example:

      PROGRAM test_leadz
        WRITE (*,*) BIT_SIZE(1)  ! prints 32
        WRITE (*,*) LEADZ(1)     ! prints 31
      END PROGRAM

See also:

  BIT_SIZE, TRAILZ, POPCNT, POPPAR